"use client";
import { useContext } from "react";
import UploadContext from "./UploadProvider";

const useUploadContext = () => {
  const context = useContext(UploadContext);
  if (!context) {
    throw new Error("useUploadContext must be used within an UploadProvider");
  }
  return context;
};

export default useUploadContext;
